<div class="card-square mdl-card mdl-shadow--2dp">
  <div class="mdl-card__title">
    <h1 class="mdl-card__title-text">wallstreetdocs test</h1>
  </div>

  <div class="mdl-card__actions mdl-card--border">
    <form
      id="uploadForm"
      class="test-form MultiFile-intercepted"
      action="/api/file/upload"
      method="post"
      enctype="multipart/form-data"
    >
      <input type="file" name="file"/>
      <input type="file" name="file"/>
      <input type="file" name="file"/>
      <input type="file" name="file"/>
      <input type="file" name="file"/>
      <button type="submit" class="mdl-button__upload mdl-button mdl-js-button mdl-button--fab mdl-button--colored">
        <i class="material-icons">file_upload</i>
      </button>
    </form>
  </div>

  <div id="status" class="mdl-card__supporting-text" />
</div>

<script src="/scripts/jquery/dist/jquery.min.js" type="text/javascript" language="javascript"></script>
<script src="/scripts/jquery-form/dist/jquery.form.min.js" type="text/javascript" language="javascript"></script>
<script>
  $(document).ready(function () {
    $('#uploadForm').submit(function (event) {
      // event.preventDefault();
      if (event.currentTarget[0].files.length) {
        $("#status").empty().text("File is uploading...");
        $(this).ajaxSubmit({
          error: function (xhr) {
            $("#status").empty().text('Error: ' + xhr.status);
          },
          success: function (response) {
            console.log(response);
            $("#status").empty().html(response.msg);
            setTimeout(function() {
              $("#status").empty().html('');
            }, 2000);
          }
        });
      }
      return false;
    });
  });
</script>